Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1536738 - Potential infinite loop in gdImageCreateFromGifCtx
Summary: Potential infinite loop in gdImageCreateFromGifCtx
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gd
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Skalický
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-20 12:41 UTC by Harald Reindl
Modified: 2018-04-04 16:47 UTC (History)
5 users (show)

Fixed In Version: gd-2.2.5-3.fc27 gd-2.2.5-3.fc28 gd-2.2.5-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-28 23:49:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Harald Reindl 2018-01-20 12:41:14 UTC
https://bugs.php.net/bug.php?id=75571

since PHP in Fedora is using systemd-gd instead bulndeled this bug shoule be fixed in the gd-package, "run-tests.php" triggers the infinite loop

Comment 1 Fedora Update System 2018-03-26 12:58:39 UTC
gd-2.2.5-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1aeac808ce

Comment 2 Fedora Update System 2018-03-26 12:58:48 UTC
gd-2.2.5-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-331af74020

Comment 3 Fedora Update System 2018-03-26 12:58:55 UTC
gd-2.2.5-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ba81e4e4a0

Comment 4 Harald Reindl 2018-03-26 13:03:13 UTC
update looks fine but took way too long given that it's security classification and CVE-2018-5711 was added 2018-01-16 - the whole purpose of system libraries is get security updates *faster* as the bundeled stuff

Comment 5 Fedora Update System 2018-03-26 15:02:31 UTC
gd-2.2.5-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1aeac808ce

Comment 6 Fedora Update System 2018-03-26 16:13:46 UTC
gd-2.2.5-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-331af74020

Comment 7 Fedora Update System 2018-03-26 16:42:10 UTC
gd-2.2.5-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ba81e4e4a0

Comment 8 Fedora Update System 2018-03-28 23:49:56 UTC
gd-2.2.5-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-04-04 15:50:50 UTC
gd-2.2.5-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-04-04 16:47:25 UTC
gd-2.2.5-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.